Loading...
Searching...
No Matches
Ogre::LodConfigSerializer Class Reference

`#include <OgreLodConfigSerializer.h>`

Inheritance diagram for Ogre::LodConfigSerializer:
[legend]

## Public Member Functions

| LodConfigSerializer ()
void | exportLodConfig (Ogre::LodConfig &config, const Ogre::String &filename, Endian endianMode=ENDIAN_NATIVE)
void | exportLodConfig (Ogre::LodConfig &config, Ogre::DataStreamPtr stream, Endian endianMode=ENDIAN_NATIVE)
void | importLodConfig (Ogre::LodConfig *config, const Ogre::String &filename)
void | importLodConfig (Ogre::LodConfig *config, DataStreamPtr &stream)
Public Member Functions inherited from Ogre::Serializer
| Serializer ()
| ~Serializer ()

## Additional Inherited Members

Public Types inherited from Ogre::Serializer
enum | Endian { ENDIAN_NATIVE , ENDIAN_BIG , ENDIAN_LITTLE }
| The endianness of written files. More...

## Constructor & Destructor Documentation

## LodConfigSerializer()

Ogre::LodConfigSerializer::LodConfigSerializer | ( |  | ) |

## Member Function Documentation

## exportLodConfig() [1/2]

void Ogre::LodConfigSerializer::exportLodConfig | ( | Ogre::LodConfig & | config,
|  | const Ogre::String & | filename,
|  | Endian | endianMode = ENDIAN_NATIVE )

References Ogre::Serializer::ENDIAN_NATIVE.

## exportLodConfig() [2/2]

void Ogre::LodConfigSerializer::exportLodConfig | ( | Ogre::LodConfig & | config,
|  | Ogre::DataStreamPtr | stream,
|  | Endian | endianMode = ENDIAN_NATIVE )

References Ogre::Serializer::ENDIAN_NATIVE.

## importLodConfig() [1/2]

void Ogre::LodConfigSerializer::importLodConfig | ( | Ogre::LodConfig * | config,
|  | const Ogre::String & | filename )

## importLodConfig() [2/2]

void Ogre::LodConfigSerializer::importLodConfig | ( | Ogre::LodConfig * | config,
|  | DataStreamPtr & | stream )

The documentation for this class was generated from the following file:

- OgreLodConfigSerializer.h